=== debian/changelog ===
ipu7-camera-hal (0~git202412040455.6ec7af8-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Initial release.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Wed, 04 Dec 2024 05:13:11 +0000
