=== debian/control ===
Source: ipu7-camera-hal
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libexpat-dev,
 libipu7x-dev (>= 0~git202409300310.ef8ead3~),
 libipu75xa-dev (>= 0~git202409300310.ef8ead3~),
 libjsoncpp-dev,
 pkg-config,
 dh-modaliases,
Standards-Version: 4.5.0
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Vcs-Browser: https://github.com/intel/ipu7-camera-hal
Vcs-Git: https://github.com/intel/ipu7-camera-hal.git

Package: libcamhal-ipu75xa-common
Architecture: all
Depends:
 ${misc:Depends},
Description: HAL library for MIPI camera through Intel IPU7 PTL - common files
 This package contains default camera settings on Intel Panther Lake platform.

Package: libcamhal-ipu7x-common
Architecture: all
Depends:
 ${misc:Depends},
Description: HAL library for MIPI camera through Intel IPU7 LNL - common files
 This package contains default camera settings on Intel Lunar Lake platform.

Package: libcamhal-ipu7-common
Architecture: all
Depends:
 ${misc:Depends},
 libcamhal-ipu7x-common (= ${binary:Version}),
Description: Transitional package for libcamhal-ipu7x-common
 This is a transitional package for libcamhal-ipu7x-common, and can be
 safely removed after the installation is complete.

Package: libcamhal-ipu75xa0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcamhal-ipu75xa-common (= ${binary:Version}),
 libcamhal0 (>= 0~git202408150943.6991325~~),
XB-Modaliases: ${modaliases}
Description: HAL library for MIPI camera through Intel IPU7 PTL
 This package contains the main runtime library on Intel Panther Lake platform.

Package: libcamhal-ipu7x0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcamhal-ipu7x-common (= ${binary:Version}),
 libcamhal0 (>= 0~git202408150943.6991325~~),
XB-Modaliases: ${modaliases}
Description: HAL library for MIPI camera through Intel IPU7 LNL
 This package contains the main runtime library on Intel Lunar Lake platform.

Package: libcamhal-ipu7-0
Architecture: all
Depends:
 ${misc:Depends},
 libcamhal-ipu7x0 (= ${binary:Version}),
Description: Transitional package for libcamhal-ipu7x0
 This is a transitional package for libcamhal-ipu7x0, and can be
 safely removed after the installation is complete.

Package: libcamhal-ipu75xa-dev
Architecture: any
Depends:
 ${misc:Depends},
 libcamhal-ipu75xa-0 (= ${binary:Version}),
Description: HAL library for MIPI camera through Intel IPU7 PTL - development kit
 This package contains development files for libcamhal-ipu75xa on Intel Panther
 Lake platform.

Package: libcamhal-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 libcamhal-ipu7x-0 (= ${binary:Version}),
Description: HAL library for MIPI camera through Intel IPU7 LNL - development kit
 This package contains development files for libcamhal-ipu7x on Intel Lunar
 Lake platform.

Package: libcamhal-ipu7-dev
Architecture: all
Depends:
 ${misc:Depends},
 libcamhal-ipu7x-dev (= ${binary:Version}),
Description: Transitional package for libcamhal-ipu7x-dev
 This is a transitional package for libcamhal-ipu7x-dev, and can be
 safely removed after the installation is complete.
