=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

configure_args = \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-DBUILD_CAMHAL_ADAPTOR=OFF \
	-DBUILD_CAMHAL_PLUGIN=ON \
	-DUSE_STATIC_GRAPH=ON \
	-DUSE_STATIC_GRAPH_AUTOGEN=ON \
	$(empty)

targets = ipu7x ipu75xa

%:
	dh $@ --with modaliases

override_dh_auto_configure:
	for ipu_ver in $(targets); do \
	  dh_auto_configure --builddirectory=build/$${ipu_ver} -- \
	      -DIPU_VERSIONS=$${ipu_ver} $(configure_args); \
	done

override_dh_auto_build:
	for ipu_ver in $(targets); do \
	  dh_auto_build --builddirectory=build/$${ipu_ver}; \
	done

override_dh_auto_install:
	find config/linux -name *.bin -or -name *.aiqb | sed 's,config/linux,debian,g'| sed 's,ipu7x,ipu7x/etc/camera/ipu7x,g' | sed 's,ipu75xa,ipu75xa/etc/camera/ipu75xa,g' | sort > debian/source/include-binaries
	for ipu_ver in $(targets); do \
	  sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
	      debian/libcamhal-$${ipu_ver}0.install.in > debian/libcamhal-$${ipu_ver}0.install; \
	  sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
	      debian/libcamhal-$${ipu_ver}-dev.install.in > debian/libcamhal-$${ipu_ver}-dev.install; \
	  dh_auto_install --builddirectory=build/$${ipu_ver} --destdir=debian/$${ipu_ver}; \
	done

override_dh_auto_clean:
	for ipu_ver in $(targets); do \
	  dh_auto_clean --builddirectory=build/$${ipu_ver}; \
	done
	rm -rf debian/tmp
