=== modules/algowrapper/CMakeLists.txt ===
#
#  Copyright (C) 2019-2021 Intel Corporation
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#

set(ALGOWRAPPER_SRCS
    ${ALGOWRAPPER_DIR}/IntelCca.cpp
    CACHE INTERNAL "algo wrapper sources"
    )

if (NOT USE_STATIC_GRAPH)
set(ALGOWRAPPER_SRCS ${ALGOWRAPPER_SRCS}
    ${ALGOWRAPPER_DIR}/graph/GraphConfigImpl.cpp
    ${ALGOWRAPPER_DIR}/graph/GraphConfigPipe.cpp
    CACHE INTERNAL "algo wrapper sources"
    )
endif()

if (USE_PG_LITE_PIPE)
    set(ALGOWRAPPER_SRCS
        ${ALGOWRAPPER_SRCS}
        ${ALGOWRAPPER_DIR}/IntelPGParam.cpp
        CACHE INTERNAL "algo wrapper sources" )
endif() #USE_PG_LITE_PIPE
