=== debian/changelog ===
ipu7-camera-hal (0~git202501150539.431ff3f-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Initial release.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Wed, 12 Feb 2025 07:53:50 +0000
