=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	find config/linux -name *.bin -or -name *.aiqb | sed 's,config/linux,debian,g'| sed 's,ipu7x,ipu7x/etc/camera/ipu7x,g' | sed 's,ipu75xa,ipu75xa/etc/camera/ipu75xa,g' | sort > debian/source/include-binaries
 	for ipu_ver in $(targets); do \
 	  sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
-	      debian/libcamhal-$${ipu_ver}0.install.in > debian/libcamhal-$${ipu_ver}0.install; \
+	      debian/libcamhal-$${ipu_ver}.install.in > debian/libcamhal-$${ipu_ver}.install; \
 	  sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
 	      debian/libcamhal-$${ipu_ver}-dev.install.in > debian/libcamhal-$${ipu_ver}-dev.install; \
 	  dh_auto_install --builddirectory=build/$${ipu_ver} --destdir=debian/$${ipu_ver}; \
